﻿@model MainApplication.Models.PollModel

@{
    ViewBag.Title = "Create";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
<h2>Create</h2>



    <div class="container-fluid">

    @using (Html.BeginForm(null, null, FormMethod.Post, new { enctype = "multipart/form-data" }))
    {
        @Html.AntiForgeryToken()
        <div class="form-horizontal">
            <h4>PollModel</h4>
            <hr />
            @Html.ValidationSummary(true, "", new { @class = "text-danger" })

            <div class="card">
                <div class="card-header">
                    <h4 class="card-title">Basic</h4>
                </div>
                <div class="card-body">
                    <form action="#">
                        <div class="form-group row">
                            <label for="course_title" class="col-sm-3 col-form-label">Poll Title:</label>
                            <div class="col-sm-9 col-md-4">
                                <div class="input-group">
                                    <span class="input-group-addon" id="sizing-addon2">#</span>
                                    @Html.EditorFor(model => model.Title, new { htmlAttributes = new { @class = "form-control" } })
                                    @Html.ValidationMessageFor(model => model.Title, "", new { @class = "text-danger" })
                                </div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="course_title" class="col-sm-3 col-form-label">description:</label>
                            <div class="col-sm-9 col-md-4">
                                <div class="input-group">
                                    <span class="input-group-addon" id="sizing-addon2">#</span>
                                    @Html.EditorFor(model => model.Description, new { htmlAttributes = new { @class = "form-control" } })
                                    @Html.ValidationMessageFor(model => model.Description, "", new { @class = "text-danger" })
                                </div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="course_title" class="col-sm-3 col-form-label">Poll Image:</label>
                            <div class="col-sm-9 col-md-4">
                                <p>
                                <img src="assets/images/vuejs.png" alt="" width="150" class="rounded"></p>
                                <label class="custom-file">
                                   
                                    <input type="file" name="file" class="form-control" />
                                    <span class="custom-file-control"></span>
                                </label>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="course_title" class="col-sm-3 col-form-label">StartDate:</label>
                            <div class="col-sm-9 col-md-4">
                                <div class="input-group">
                                    <span class="input-group-addon" id="sizing-addon2">#</span>
                                    
                                    @Html.EditorFor(model => model.StartDate, new { htmlAttributes = new { @class = "datepicker form-control" } })
                                    @Html.ValidationMessageFor(model => model.StartDate, "", new { @class = "text-danger" })
                                           

                                </div>
                            </div>
                        </div>



                        <div class="form-group row">
                            <label for="course_title" class="col-sm-3 col-form-label">EndDate:</label>
                            <div class="col-sm-9 col-md-4">
                                <div class="input-group">
                                    <span class="input-group-addon" id="sizing-addon2">#</span>

                                    @Html.EditorFor(model => model.EndDate, new { htmlAttributes = new { @class = "form-control" } })
                                    @Html.ValidationMessageFor(model => model.EndDate, "", new { @class = "text-danger" })


                                </div>
                            </div>
                        </div>

                        <!--<div class="form-group row">
                            <label for="course_title" class="col-sm-3 col-form-label">Publisher:</label>
                            <div class="col-sm-9 col-md-4">
                                <div class="input-group">
                                    <span class="input-group-addon" id="sizing-addon2">#</span>

                                    @Html.EditorFor(model => model.PublisherId, new { htmlAttributes = new { @class = "form-control" } })
                                    @Html.ValidationMessageFor(model => model.PublisherId, "", new { @class = "text-danger" })

                                </div>
                            </div>
                        </div>-->


                    </form>
                </div>
            </div>

            <div class="alert alert-info" role="alert">
                <strong>Heads up!</strong> You haven't added any questions
            </div>





            <div class="form-group">
                <div class="col-md-offset-2 col-md-10">
                    <input type="submit" value="Create" class="btn btn-success try-sweet-successMessage" />

                </div>

            </div>
        </div>

    }




</div>
        </div>

       
</div>



<div>
    @Html.ActionLink("Back to List", "Index")
</div>
<script type="text/javascript">
    $(function () { // will trigger when the document is ready
        $('.datepicker').datepicker({ dateFormat: 'yy-mm-dd', minDate: new Date() }); //Initialise any date pickers
    });
</script>
